Subject: Re: bug#73728: 29.3; Specifing an --alternate-editor for emacscleintw.exe with custom --init-directory does not work on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2024 17:13:38 +0300

> Date: Mon, 14 Oct 2024 11:08:05 +0200
> From: Jonas Großekathöfer <[email-masked]>
> Cc: [email-masked]
> 
> Am 2024-10-10 15:23, schrieb Eli Zaretskii:
> 
>  Then you need to be aware that --init-directory does NOT replace your
>  user home directory for all purposes.  See the description of what
>  this does in the Emacs user manual for details.
> 
>  
> Thank you, for the information.
>  
> I had a look at the manual. Can you point me to the section you are referring to? I couldn't find anything
> meaningful in that regard. "C.2 Initial Options" is the only page (besides Antinews and an Index) where I find
> "--init-directory" mentioned. On top, I read some more pages like "50.4.4 How Emacs Finds Your Init File", but
> this includes no description or comments with regard to the --init-directory.

Here's the text in the manual (its latest version for Emacs 30):

  ‘--init-directory’
       Specify the directory to use when looking for the Emacs init files.
       Note that this merely overrides the value of
       ‘user-emacs-directory’, the directory which Emacs usually
       determines as side effect of searching for your init file (*note
       Find Init::), but does not change the search for the ‘~/.emacs’
       init file.  In particular, if there's no ‘init.el’ file in the
       directory named by this option, Emacs will find and use ‘init.el’
       it would have used without this option (but will search for your
       other per-user Emacs files in the directory specified by this
       option).  If you want to force Emacs to use ‘init.el’ file in this
       directory, make sure it exists there before starting Emacs with
       this option.

If this is unclear, feel free to ask specific questions.